<script setup lang="ts">
const radio = {
  name: 'Less Listened',
  description: 'First artist, Second Artist, One Other Artist, Yet Another One'
}
</script>

# Radio card

Radio cards are specialized cards that represent radios in Funkwhale's interface. Radio cards populate with the following information:

- The radio title
- The radio description

The card includes a [play button](../button/play.md) that starts the radio.

| Prop     | Data type                                          | Required? | Default | Description                                        |
| -------- | -------------------------------------------------- | --------- | ------- | -------------------------------------------------- |
| `radio`  | Radio object                                       | Yes       |         | The radio the card represents                      |
| `small`  | Boolean                                            | No        | `false` | Controls whether the card is small or normal sized |
| `color`  | `blue` \| `red` \| `purple` \| `green` \| `yellow` | No        | `blue`  | Renders a colored radio card                       |

## Card colors

You can choose what color a radio card is by passing a supported color as a prop.

### Blue

::: info
This is the default color. If you don't pass a color, a blue card is rendered.
:::

```vue-html
<fw-radio-card color="blue" :radio="radio" />
```

<fw-radio-card color="blue" :radio="radio" />

### Red

```vue-html
<fw-radio-card color="red" :radio="radio" />
```

<fw-radio-card color="red" :radio="radio" />

### Purple

```vue-html
<fw-radio-card color="purple" :radio="radio" />
```

<fw-radio-card color="purple" :radio="radio" />

### Green

```vue-html
<fw-radio-card color="green" :radio="radio" />
```

<fw-radio-card color="green" :radio="radio" />

### Yellow

```vue-html
<fw-radio-card color="yellow" :radio="radio" />
```

<fw-radio-card color="yellow" :radio="radio" />

## Card sizes

You can control the size of a radio card by adding a `small` prop.

### Normal card

Normal radio cards contain the radio title and description.

```vue-html
<fw-radio-card :radio="radio" />
```

<fw-radio-card :radio="radio" />

### Small card

Small radio cards contain only the radio title.

```vue-html
<fw-radio-card small :radio="radio" />
```

<fw-radio-card small :radio="radio" />
