import { computed } from "vue"
import { createGlobalState, toValue, useWindowSize, type MaybeRefOrGetter } from "@vueuse/core"

const MOBILE_WIDTH = 640

export const useScreenSize = createGlobalState(() => useWindowSize({ includeScrollbar: false }))
export const isMobileView = (width?: MaybeRefOrGetter<number>) => {
  if (width === undefined) {
    const { width: screenWidth } = useScreenSize()
    width = screenWidth
  }

  return computed(() => (toValue(width) ?? Infinity) <= MOBILE_WIDTH)
}
